tbb::interface5::internal::concurrent_unordered_base< Traits >::range_type Class Reference

`#include <_concurrent_unordered_impl.h>`

Inheritance diagram for tbb::interface5::internal::concurrent_unordered_base< Traits >::range_type:
Collaboration diagram for tbb::interface5::internal::concurrent_unordered_base< Traits >::range_type:

## Public Types

typedef concurrent_unordered_base::iterator | iterator
Public Types inherited from tbb::interface5::internal::concurrent_unordered_base< Traits >::const_range_type
typedef concurrent_unordered_base::size_type | size_type
| Type for size of a range. More...
typedef concurrent_unordered_base::value_type | value_type
typedef concurrent_unordered_base::reference | reference
typedef concurrent_unordered_base::difference_type | difference_type
typedef concurrent_unordered_base::const_iterator | iterator

## Public Member Functions

| range_type (range_type &r, split)
| Split range. More...
| range_type (const concurrent_unordered_base &a_table)
| Init range with container and grainsize specified. More...
iterator | begin () const
iterator | end () const
Public Member Functions inherited from tbb::interface5::internal::concurrent_unordered_base< Traits >::const_range_type
bool | empty () const
| True if range is empty. More...
bool | is_divisible () const
| True if range can be partitioned into two subranges. More...
| const_range_type (const_range_type &r, split)
| Split range. More...
| const_range_type (const concurrent_unordered_base &a_table)
| Init range with container and grainsize specified. More...
iterator | begin () const
iterator | end () const
size_type | grainsize () const
| The grain size for this range. More...
void | set_midpoint () const
| Set my_midpoint_node to point approximately half way between my_begin_node and my_end_node. More...

## Detailed Description

### template<typename Traits>
class tbb::interface5::internal::concurrent_unordered_base< Traits >::range_type

Definition at line 1047 of file _concurrent_unordered_impl.h.

## Member Typedef Documentation

## iterator

template<typename Traits >

typedef concurrent_unordered_base::iterator tbb::interface5::internal::concurrent_unordered_base< Traits >::range_type::iterator

Definition at line 1049 of file _concurrent_unordered_impl.h.

## Constructor & Destructor Documentation

## range_type() [1/2]

template<typename Traits >

tbb::interface5::internal::concurrent_unordered_base< Traits >::range_type::range_type | ( | range_type & | r,
|  | split |
| ) |  |

inline

Split range.

Definition at line 1051 of file _concurrent_unordered_impl.h.

: const_range_type( r, split() ) {}
tbb::interface5::internal::concurrent_unordered_base::const_range_type::const_range_type
const_range_type(const_range_type &r, split)
Split range.
Definition: _concurrent_unordered_impl.h:998

## range_type() [2/2]

template<typename Traits >

tbb::interface5::internal::concurrent_unordered_base< Traits >::range_type::range_type | ( | const concurrent_unordered_base & | a_table | ) |

inline

Init range with container and grainsize specified.

Definition at line 1053 of file _concurrent_unordered_impl.h.

: const_range_type(a_table) {}

## Member Function Documentation

## begin()

template<typename Traits >

iterator tbb::interface5::internal::concurrent_unordered_base< Traits >::range_type::begin | ( |  | ) | const

inline

Definition at line 1055 of file _concurrent_unordered_impl.h.

{ return solist_t::get_iterator( const_range_type::begin() ); }
tbb::interface5::internal::split_ordered_list< value_type, typename Traits::allocator_type >::get_iterator
iterator get_iterator(raw_iterator it)
Definition: _concurrent_unordered_impl.h:465
tbb::interface5::internal::concurrent_unordered_base::const_range_type::begin
iterator begin() const
Definition: _concurrent_unordered_impl.h:1014

References tbb::interface5::internal::concurrent_unordered_base< Traits >::const_range_type::begin(), and tbb::interface5::internal::split_ordered_list< value_type, typename Traits::allocator_type >::get_iterator().

Here is the call graph for this function:

## end()

template<typename Traits >

iterator tbb::interface5::internal::concurrent_unordered_base< Traits >::range_type::end | ( |  | ) | const

inline

Definition at line 1056 of file _concurrent_unordered_impl.h.

{ return solist_t::get_iterator( const_range_type::end() ); }
tbb::interface5::internal::concurrent_unordered_base::const_range_type::end
iterator end() const
Definition: _concurrent_unordered_impl.h:1015

References tbb::interface5::internal::concurrent_unordered_base< Traits >::const_range_type::end(), and tbb::interface5::internal::split_ordered_list< value_type, typename Traits::allocator_type >::get_iterator().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- _concurrent_unordered_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.